OrRotateStrategy (LogKit API)
Keywords: org.apache.log.output.io.rotate.OrRotateStrategy,OrRotateStrategy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.io.rotate
Class OrRotateStrategy

    java.lang.Object
      |
      +--org.apache.log.output.io.rotate.OrRotateStrategy

All Implemented Interfaces:
  RotateStrategy

public class OrRotateStrategy
extends Object
implements RotateStrategy

Hierarchical rotation strategy. This object is initialised with several rotation strategy objects. The `isRotationNeeded` method checks the first rotation strategy object. If a rotation is needed, this result is returned. If not, the next rotation strategy object is checked, and so on.

Author:
  Carsten Ziegeler

Constructor Summary
`OrRotateStrategy(RotateStrategy[] strategies)` Constructor

Method Summary
`boolean` | `isRotationNeeded(String data, File file)` check if now a log rotation is neccessary.
`void` | `reset()` reset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrRotateStrategy

    public OrRotateStrategy(RotateStrategy[] strategies)

  Constructor

Parameters:
  `strategies` - the set of rotation strategies

Method Detail

### reset

    public void reset()

  reset.

  Specified by:
    `reset` in interface `RotateStrategy`

### isRotationNeeded

    public boolean isRotationNeeded(String data,
                                    File file)

  check if now a log rotation is neccessary. This object is initialised with several rotation strategy objects. The `isRotationNeeded` method checks the first rotation strategy object. If a rotation is needed, this result is returned. If not the next rotation strategy object is asked and so on.

  Specified by:
    `isRotationNeeded` in interface `RotateStrategy`
  Parameters:
    `data` - the last message written to the log system
    `file` - ???
  Returns:
    boolean return true if log rotation is neccessary, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.